#include "StdAfx.h"
#include "UidDlg.h"
#include "resource.h"

#include "cpss_dialog.h"
#include "listbox.h"
#define m_btnlist m_Btns
#define m_btAct (m_Btns+2)
#define m_btnDenote (m_Btns+5)


#define IDB_KEY_NUMBER 0

#define _CL0 100
#define _KW 73
#define _KH 77
#define ROW0 190
BUTTON_ITEM AdminButton_Key_Number[]= 
{
	{ _CL0, ROW0,_KW,_KH,'1'   ,1    ,0   },   //KEY_1
	{ _CL0+_KW, ROW0,_KW,_KH,'2'   ,2	 ,0	 },   //KEY_2
	{ _CL0+_KW*2, ROW0,_KW,_KH,'3'   ,3	 ,0   },   //KEY_3
	{ _CL0+_KW*3, ROW0,_KW,_KH,'4'   ,4    ,0   },   //KEY_4
	{ _CL0+_KW*4, ROW0,_KW,_KH,'5'   ,5    ,0   },   //KEY_5
	{ _CL0, ROW0+_KH,_KW,_KH,'6'   ,6    ,0   },   //KEY_6
	{ _CL0+_KW, ROW0+_KH,_KW,_KH,'7'   ,7    ,0   },   //KEY_7
	{ _CL0+_KW*2, ROW0+_KH,_KW,_KH,'8'   ,8    ,0   },   //KEY_8
	{ _CL0+_KW*3, ROW0+_KH,_KW,_KH,'9'   ,9	 ,0   },   //KEY_9
	{ _CL0+_KW*4, ROW0+_KH,_KW,_KH,'0'   ,0    ,0   }  //KEY_0
	//{ 40+280, 166,_KW,_KH,'.'   ,IDB_KEY_COMMA    ,IDB_KEY_COMMA_DN   },   //KEY_0
};


static const BUTTON_ITEMEX Button1_EngInfo[] = 
{
	//{ 260, Btn_CancelY,	Btn_CancelWidth, Btn_CancelHeight,ID_BUTTON_SUCHEN    ,IDB_LUPE,0,0,0,_KW,_KH, 0, 0, 0 },	
	{ Btn_CancelX, Btn_CancelY-90,	Btn_CancelWidth, Btn_CancelHeight,ID_BUTTON_SUCHEN   ,IDBI_SURE,IDBI_SURE_DN,0,0,_KW,_KH, 0, 0, 0 }	
};

static const BUTTON_ITEM AdminButton_Fun[] = 
{
	{  _CL0+_KW*5,  ROW0, 44, 44,  ID_BACKSPACE  ,IDBI_BTN_BACKSPACE ,IDBI_BTN_BACKSPACE_DN}, //BackSpace
	{ Btn_CancelX, Btn_CancelY, Btn_CancelWidth, Btn_CancelHeight, ID_CANCEL  ,IDBI_CANCEL ,IDBI_CANCEL_DN}//Cancel
	//{ 324,  78,  133,     44,ID_SAVE  ,IDB_SAVE ,IDB_SAVE_DN} //Save

};




#define ID_PSW 33
LRESULT CUidDlg::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{

	VButtonWnd::OnInitDialog(uMsg,  wParam,  lParam, bHandled);
	

	m_Edit.CreateWnd(m_hWnd,110,130,330,45,ID_PSW,20,WS_CHILD|WS_VISIBLE|ES_NOHIDESEL);
	m_Edit.SetFont(ghEditFont);

	//m_Kp_Number.LoadBtnBk(IDB_BK_KEYPAD);

	int total = sizeof(AdminButton_Key_Number)/sizeof(BUTTON_ITEM);
	int expandwidth = 0;
	m_Kp_Number.CreateWnd(m_hWnd,ID_KEYPAD_INPUT,IDB_KEY_NUMBER,AdminButton_Key_Number, total,_CL0,ROW0,_KW*5,_KH*2);
	
	m_pKeypad = &m_Kp_Number ;
	m_pKeypad->hwndeditbox = m_Edit.m_hWnd;
	int count=0;
	
	for(count=0; count< sizeof(AdminButton_Fun)/sizeof(BUTTON_ITEM) ; count++)
	{
		CREATE_BTN_TRANS2(m_btnlist[count],IDBI_BK,AdminButton_Fun[count]);
	}


	for( count=0; count<sizeof(Button1_EngInfo)/sizeof(BUTTON_ITEMEX) ; count++)
	{
		BOOL bEnable = 1;
		COLORREF clr = RGB(0,0,0);
		if(count==0) clr = RGB(255,255,255);
		CString strTmp;
		if(Button1_EngInfo[count].uId!=ID_BUTTON_SUCHEN )strTmp.LoadString(Button1_EngInfo[count].uId );
		else strTmp.Empty();
		
		m_btAct[count].CreateWndTrans(m_hWnd, IDBI_BK,Button1_EngInfo[count].rt,
								  Button1_EngInfo[count].uId,
								  Button1_EngInfo[count].bmpId,
								  Button1_EngInfo[count].bmpId_dn,
								  0,
								  strTmp,
						  Button1_EngInfo[count].FontRect,
						  Button1_EngInfo[count].Height,
						  Button1_EngInfo[count].Width,
						  Button1_EngInfo[count].Bold,
						  bEnable,0,0);
		
	}

//	ChangeAdminType(AdType_InputPwd);



	return 0;  
}



void CUidDlg::OnPaintExt(HDC hDC,CRect&rcPaint)
{
	DrawDC Draw(hDC);

	Draw.SetDrawBkMode(TRANSPARENT);
	Draw.SetDrawTextColor(RGB(0,0,0));
	Draw.SetDrawFontSize(TitleFontHeight,TitleFontWide,FW_NORMAL,__FONT_NORMAL__);
	CRect rc;
	m_Edit.GetWindowRect(&rc);
	rc.InflateRect(5,5); 
	Draw.DrawFillRoundRect(&rc,RGB(255,255,255),5,5);
	rc.OffsetRect(0,-50);
	Draw.DrawGPSOverIPStringRect((LPTSTR)(LPCTSTR)m_Caption,rc,DT_VCENTER);
    //return 0;
}


LRESULT CUidDlg::OnKeyPadInput(UINT /*uMsg*/, WPARAM wParam, LPARAM /*lParam*/, BOOL& /*bHandled*/)
{
	m_Edit.InsertChar(wParam);
    return 0;
}


LRESULT CUidDlg::OnCancel(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/)
{
     

	EndDialog(0);


	return 0;
}

LRESULT CUidDlg::OnBackSpace(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/)
{
	//m_Edit.SetSel(0,-1);
	m_Edit.BackSpace();
	return 0;
}



LRESULT CUidDlg::OnButtonSuchen(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/)
{
	m_Edit.GetWindowText(m_szMsg,32);
	EndDialog(1);
	return 0;
}
LRESULT CUidDlg::OnChangeSkin(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
{
	m_DrawList->ChangeSkin();
	EnumChildWindows(m_hWnd,EnumCallback ,0);
	return 0;
}
